using BukiVedi.Shared.Models;

namespace BukiVedi.Shared.Apps
{
    public interface ITagsHandler
    {
        Task<TagInfo> AppendTag(string bookId, string name, OperationContext context);
        Task<bool> RemoveTag(string id, OperationContext context);
        Task<IEnumerable<string>> GetUserTags(OperationContext context);
        Task<IEnumerable<TagInfo>> GetBookTags(string bookId, OperationContext context);
        Task<IEnumerable<BookInfo>> Search(string id, OperationContext context);
    }
}
